---
# Install Microsoft Teams

  - name: Microsoft Packages | Import APT GPG key
    ansible.builtin.apt_key:
      url: "{{ zsl_desktop_common_microsoft_key_url }}"

  - name: Microsoft Packages | Add APT repository for Teams
    ansible.builtin.apt_repository:
      repo: "{{ zsl_desktop_common_teams_deb_repo }}"
      state: present
      filename: ms-teams

  - name: Microsoft Packages | Add APT repository for VSCode
    ansible.builtin.apt_repository:
      repo: "{{ zsl_desktop_common_vscode_deb_repo }}"
      state: present
      filename: ms-vscode

  - name: Microsoft Packages | Install Teams
    ansible.builtin.apt:
      update_cache: yes
      name: teams
      state: present

  - name: Microsoft Packages | Install VS Code
    ansible.builtin.apt:
      name: code
      state: present